<!-- Spinner -->
<ngx-spinner [name]='"workloads_create"' [fullScreen]="true" bdColor="#f5f5f583" size="medium" type="ball-fussion" color="#EDAE49"></ngx-spinner>

<!-- Form -->
<div class="card" style="padding: 2%">
    <!-- Title -->
    <mat-label style="display: flex; justify-content: center; margin-top: 4%">
        <mat-icon style="margin-right: 9px">monitor</mat-icon>
        <h1>Create Workload</h1>
    </mat-label>

    <!-- Create Workload Form -->
    <form [formGroup]="workloadForm" novalidate (ngSubmit)="submitWorkloadForm(workloadForm.value)">
        <div style="display: flex; justify-content: center;" class="row mb-10">
            <div class="col-lg-12 col-xl-10">
                <!-- Form First Row -->
                <div class="row">
                    <!-- Field: Workload Name -->
                    <div class="col-lg-6">
                        <label class="col-lg-12 col-form-label text-lg">Name *</label><br>
                        <mat-form-field class="text-form-field" appearance="fill">
                            <input required id="name" name="name"
                                formControlName="name" matInput type="text" placeholder="Type Workload Name"/>
                            <mat-error *ngFor="let validation of incorrect_form_messages.name">
                                <span class="error-message" *ngIf="
                                    workloadForm.get('name').hasError(validation.type) &&
                                    (workloadForm.get('name').dirty ||
                                    workloadForm.get('name').touched)">
                                    {{ validation.message }}
                                </span>
                            </mat-error>
                        </mat-form-field><br>
                    </div>
                    <!-- Field: Version -->
                    <div class="col-lg-4">
                        <label class="col-lg-12 col-form-label text-lg">Version *</label><br>
                        <mat-form-field class="text-form-field" appearance="fill">
                            <input required id="version" name="version"
                                formControlName="version" matInput type="text" placeholder="Type Workload Version"/>
                            <mat-error *ngFor="let validation of incorrect_form_messages.version">
                                <span class="error-message" *ngIf="
                                    workloadForm.get('version').hasError(validation.type) &&
                                    (workloadForm.get('version').dirty ||
                                    workloadForm.get('version').touched)">
                                    {{ validation.message }}
                                </span>
                            </mat-error>
                        </mat-form-field><br>
                    </div>
                </div>
                <!-- Form Second Row -->
                <div class="row">
                    <!-- Field: Supported Intents -->
                    <div class="col-lg-12">
                        <label class="col-lg-12 col-form-label text-lg">Supported Intents</label><br>
                        <!-- <mat-form-field class="text-form-field" appearance="fill">
                            <input required id="intents" name="intents"
                                formControlName="intents" matInput type="text" placeholder="Type Supported Intents (separated by ' ; ')"/>
                            <mat-error *ngFor="let validation of incorrect_form_messages.intents">
                                <span class="error-message" *ngIf="
                                    workloadForm.get('intents').hasError(validation.type) &&
                                    (workloadForm.get('intents').dirty ||
                                    workloadForm.get('intents').touched)">
                                    {{ validation.message }}
                                </span>
                            </mat-error>
                        </mat-form-field><br> -->

                        <mat-form-field class="text-form-field" appearance="fill">
                            <mat-label>Supported Intents</mat-label>
                            <mat-select required id="intents" name="intents"
                                        formControlName="intents" multiple placeholder="Select Supported Intents">
                                <mat-option *ngFor="let intent of intentTypesOptions" [value]="intent">
                                    {{ intent }}
                                </mat-option>
                            </mat-select>
                            <mat-error *ngFor="let validation of incorrect_form_messages.intents">
                                <span class="error-message" *ngIf="
                                    workloadForm.get('intents').hasError(validation.type) &&
                                    (workloadForm.get('intents').dirty || workloadForm.get('intents').touched)">
                                    {{ validation.message }}
                                </span>
                            </mat-error>
                        </mat-form-field>
                    </div>
                </div>
                <!-- Form Third Row -->
                <div class="row">
                    <!-- Field: Ingress Support -->
                    <div class="col-lg-12">
                        <label class="col-lg-12 col-form-label text-lg">Ingress Support</label>
                        <mat-form-field class="text-form-field-targ" appearance="fill">
                            <mat-select name="ingress_support" formControlName="ingress_support" [(value)]="selected_ingressSupport">
                                <mat-option [value]="true">True</mat-option>
                                <mat-option [value]="false">False</mat-option>
                            </mat-select>
                        </mat-form-field><br>
                    </div>
                </div>
            </div>
        </div>
    </form>

    <!-- Create Workload Button -->
    <div class="card-footer" style="display: flex; justify-content: end; background-color: white;">
        <div class="row">
            <div class="col-lg-22">
                <!-- Submit button -->
                <button mat-raised-button id="submit_workload_button" class="btn-2"
                    type="submit" (click)="submitWorkloadForm(workloadForm.value)">
                    <span class="indicator-label">
                    <a> Create </a>
                    </span>
                </button>

                <!-- Reset button -->                    
                <button (click)="resetWorkloadForm()" id="reset_workload_button" mat-raised-button> 
                    Reset
                </button>

            </div>
        </div>
    </div>



</div>